OpenCL C++ Bindings

Loading...
Searching...
No Matches
cl::NDRange Class Reference

Class interface for specifying NDRange values. More...

`#include <opencl.hpp>`

## Public Member Functions
| NDRange ()
| Default constructor - resulting range has zero dimensions.
| NDRange (size_type size0)
| Constructs one-dimensional range.
| NDRange (size_type size0, size_type size1)
| Constructs two-dimensional range.
| NDRange (size_type size0, size_type size1, size_type size2)
| Constructs three-dimensional range.
| NDRange (array< size_type, 1 > a)
| Constructs one-dimensional range.
| NDRange (array< size_type, 2 > a)
| Constructs two-dimensional range.
| NDRange (array< size_type, 3 > a)
| Constructs three-dimensional range.
| operator const size_type * () const
| Conversion operator to const size_type *.
size_type | dimensions () const
| Queries the number of dimensions in the range.
size_type | size () const
| Returns the size of the object in bytes based on the.
size_type * | get ()
const size_type * | get () const

## Detailed Description

Class interface for specifying NDRange values.

Definition at line 6112 of file opencl.hpp.

## Constructor & Destructor Documentation

## ◆ NDRange() [1/7]

cl::NDRange::NDRange | ( |  | ) |
| inline

Default constructor - resulting range has zero dimensions.

Definition at line 6120 of file opencl.hpp.

## ◆ NDRange() [2/7]

cl::NDRange::NDRange | ( | size_type | size0 | ) |
| inline

Constructs one-dimensional range.

Definition at line 6129 of file opencl.hpp.

## ◆ NDRange() [3/7]

cl::NDRange::NDRange | ( | size_type | size0,
|  | size_type | size1 )
| inline

Constructs two-dimensional range.

Definition at line 6138 of file opencl.hpp.

## ◆ NDRange() [4/7]

cl::NDRange::NDRange | ( | size_type | size0,
|  | size_type | size1,
|  | size_type | size2 )
| inline

Constructs three-dimensional range.

Definition at line 6147 of file opencl.hpp.

## ◆ NDRange() [5/7]

cl::NDRange::NDRange | ( | array< size_type, 1 > | a | ) |
| inline

Constructs one-dimensional range.

Definition at line 6156 of file opencl.hpp.

## ◆ NDRange() [6/7]

cl::NDRange::NDRange | ( | array< size_type, 2 > | a | ) |
| inline

Constructs two-dimensional range.

Definition at line 6159 of file opencl.hpp.

## ◆ NDRange() [7/7]

cl::NDRange::NDRange | ( | array< size_type, 3 > | a | ) |
| inline

Constructs three-dimensional range.

Definition at line 6162 of file opencl.hpp.

## Member Function Documentation

## ◆ dimensions()

size_type cl::NDRange::dimensions | ( |  | ) | const
| inline

Queries the number of dimensions in the range.

Definition at line 6173 of file opencl.hpp.

## ◆ get() [1/2]

size_type * cl::NDRange::get | ( |  | ) |
| inline

Definition at line 6185 of file opencl.hpp.

## ◆ get() [2/2]

const size_type * cl::NDRange::get | ( |  | ) | const
| inline

Definition at line 6190 of file opencl.hpp.

## ◆ operator const size_type *()

cl::NDRange::operator const size_type * | ( |  | ) | const
| inline

Conversion operator to const size_type *.

Returns
  a pointer to the size of the first dimension.

Definition at line 6168 of file opencl.hpp.

## ◆ size()

size_type cl::NDRange::size | ( |  | ) | const
| inline

Returns the size of the object in bytes based on the.

Definition at line 6180 of file opencl.hpp.

The documentation for this class was generated from the following file:

- opencl.hpp